Subject: Re: ls starts VERY SLOWLY w/ b18 on Windows NT 4.0
From: [email-masked] (Geoffrey Noer)

20 May 1997 15:12:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Content-Type: text
Original-To: [email-masked]
Original-Cc: [email-masked] (Geoffrey Noer)
In-Reply-To: <[email-masked]> from "Peter Ham" at May 17, 97 09:02:59 pm
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Peter Ham wrote:
> 
> I have noticed that program startup is MUCH SLOWER than
> the previous release that I downloaded in November or so.
> It takes 16 seconds on an empty directory on a lightly loaded
> Pentium 133mhz.
> 
> Could it be that the cygwin.dll keeps getting loaded and unloaded
> for each program execution? Is there any way to lock it in?
> It's frustrating to use "ls" (or any other frequently used program)
> in this configuration.

That's very odd.  My main test machine is a fairly normal Micron 166Mhz
Pentium with NT 4.0 server and Windows 95 installed.  It has
32 MB of RAM which isn't a completely obscene amount these days.
I see a definite speed-up in compile times and usage of the various
tools feels snappier.  I should actually measure the time to do configures
under b17 and 18 at some point but it certainly isn't taking 16 seconds
to do an 'ls' of a fairly empty directory for me.

The cygwin.dll in beta 18 does use more RAM, so it could be that the
dll is being swapped in and out of memory.

At the risk of getting hundreds of replies :-), those of you who are seeing
the slow-down:

1) Are you running NT or Win 95?
2) How much RAM?
3) Are you using memory for other open applications when you see the
poor performance?  If so, does cygwin performance increase when you
quit those apps?

Please reply to me directly.  I'll post a summary on the list.

Thanks,

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".